<app-loading *ngIf='isLoading'></app-loading>
<form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30,30]">
        <div nz-col nzXs="24" nzLg="24">
            <ng-container formArrayName="listWorkCalendarOrgs">
                <div *ngFor="let calendarOrgForm of listWorkCalendarOrgs.controls; let idx = index; let first = first">
                    <div nz-row [nzGutter]="[30, 30]" [formGroupName]="idx" nzJustify="start">
                        <div nz-col nzXs="24" nzLg="6">
                            <org-data-picker formControlName='org'
                                mbLabelText="{{'staffAbs.workCalendarOrg.org' | translate}} <span class='label__required'>*</span>"
                                [mbType]="isSubmitted && calendarOrgForm.get('org')?.errors ? 'error' : 'default'"
                                [mbShowError]="isSubmitted && calendarOrgForm.get('org')?.errors != null"
                                [mbErrors]="calendarOrgForm.get('org')?.errors" [mbErrorDefs]="[
                                { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendarOrg.org' | translate }}
                                ,{ errorName: 'duplicate', errorDescription: 'staffAbs.validate.duplicate' | translate: {'param': 'staffAbs.workCalendarOrg.org' | translate }}
                              ]">
                            </org-data-picker>
                        </div>
                        <div nz-col nzXs="24" nzLg="4">
                            <mb-select [mbDataSelects]='listEmpType' mbKeyLabel='label' mbKeyValue='value'
                                mbPlaceholder="--{{'staffAbs.workCalendarOrg.empType' | translate}}--"
                                mbLabelText="{{'staffAbs.workCalendarOrg.empType' | translate}}"
                                formControlName='empType'
                                [mbType]="isSubmitted && calendarOrgForm.get('empType')?.errors ? 'error' : 'default'"
                                [mbShowError]="isSubmitted && calendarOrgForm.get('empType')?.errors != null"
                                [mbErrors]="calendarOrgForm.get('empType')?.errors" [mbErrorDefs]="[
                                    { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendarOrg.empType' | translate }}
                                    ,{ errorName: 'duplicate', errorDescription: 'staffAbs.validate.duplicate' | translate: {'param': 'staffAbs.workCalendarOrg.empType' | translate }}
                                ]"></mb-select>
                        </div>
                        <div nz-col nzXs="24" nzLg="4">
                            <mb-select [mbDataSelects]='listPositionGroup' mbKeyLabel='pgrName' mbKeyValue='pgrId'
                                mbPlaceholder="--{{'staffAbs.workCalendarOrg.positionGroup' | translate}}--"
                                mbLabelText="{{'staffAbs.workCalendarOrg.positionGroup' | translate}}"
                                formControlName='positionGroupId'
                                [mbType]="isSubmitted && calendarOrgForm.get('positionGroupId')?.errors ? 'error' : 'default'"
                                [mbShowError]="isSubmitted && calendarOrgForm.get('positionGroupId')?.errors != null"
                                [mbErrors]="calendarOrgForm.get('positionGroupId')?.errors" [mbErrorDefs]="[
                                    { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendarOrg.positionGroup' | translate }}
                                    ,{ errorName: 'duplicate', errorDescription: 'staffAbs.validate.duplicate' | translate: {'param': 'staffAbs.workCalendarOrg.positionGroup' | translate }}
                                ]"></mb-select>
                        </div>
                        <div nz-col nzXs="24" nzLg="4">
                            <mb-date-picker formControlName="fromDate" mbFormat="dd/MM/yyyy" mbLabelText="{{
                                    'staffAbs.workCalendarOrg.fromDate' | translate
                                }} <span class='label__required'>*</span>" mbPlaceholderText="dd/mm/yyyy"
                                [mbType]="isSubmitted && calendarOrgForm.get('fromDate')?.errors ? 'error' : 'default'"
                                [mbShowError]="isSubmitted && calendarOrgForm.get('fromDate')?.errors != null"
                                [mbErrors]="calendarOrgForm.get('fromDate')?.errors" [mbErrorDefs]="[
                                    {
                                    errorName: 'required',
                                    errorDescription: 'staffAbs.validate.required' | translate: { param: 'staffAbs.workCalendarOrg.fromDate' | translate }
                                    }
                                ]"></mb-date-picker>
                        </div>
                        <div nz-col nzXs="24" nzLg="4">
                            <mb-date-picker formControlName="toDate" mbFormat="dd/MM/yyyy" mbLabelText="{{
                                    'staffAbs.workCalendarOrg.toDate' | translate
                                }}" mbPlaceholderText="dd/mm/yyyy"
                                [mbType]="isSubmitted && calendarOrgForm.get('toDate')?.errors ? 'error' : 'default'"
                                [mbShowError]="isSubmitted && calendarOrgForm.get('toDate')?.errors != null"
                                [mbErrors]="calendarOrgForm.get('toDate')?.errors" [mbErrorDefs]="[
                                    { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: { param: 'staffAbs.workCalendarOrg.toDate' | translate }},
                                    { errorName: 'rangeDateError', errorDescription: 'staffAbs.timekeepingManagement.rangeDateError' | translate}
                                ]"></mb-date-picker>
                        </div>
                        <div nz-col nzXs="24" nzLg="2">
                            <div class="d-flex org-actions">
                                <button class="cus-button cus-button-add far fa-plus-circle" (click)="addOrgs()"></button>
                                <button class="cus-button cus-button-remove far fa-trash-alt" (click)="removeOrgs(idx)"></button>
                            </div>
                        </div>
                    </div>
                </div>
            </ng-container>
        </div>
    </div>
</form>